# Rubocop::GoogleAds

A RuboCop extension for [Google Ads Client Library for Ruby](https://github.com/googleads/google-ads-ruby).

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'rubocop-google_ads', require: false
```

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install rubocop-google_ads

## Usage

Require it in your `.rubocop.yml`, like below.

```
require: rubocop-rails
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/hanocha/rubocop-google_ads.

### Update deprecated get methods list

When Google Ads API is updated, maybe we also should to update target deprecated methods information.

You can run `$ bin/deprecated_methods_generator` command, it updates `lib/rubocop/cop/google_ads/deprecated_get_methods.yml` file,
which is the list of deprecated get methods. Also you can commit it and make a pull request! :)

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
